## sendmail 8.14.9

=== debian/changelog ===
sendmail (8.14.9-4) unstable; urgency=medium

  * QA upload.
  * debian-mta.m4: Switch between the two spellings of
    'GroupReadable{a,}DefaultAuthInfoFile', the typo was only corrected
    in 8.15.  (Closes: #792162)
  * sendmail-bin: Tighten dependencies on sendmail-{base,cf}.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Jul 2015 18:37:21 +0200

sendmail (8.14.9-3) unstable; urgency=medium

  * QA upload.
  * Use a deterministic object directory for fully reproducible builds.
  * update_mc: Insert masquerading options before mailer definitions.
    (Closes: #293017, #354055)
  * debian-mta.m4: Fix typo 'GroupReadableaDefaultAuthInfoFile'.
    (Closes: #790968)
  * sendmail-base: Add Depends: netbase for /etc/services.
  * Drop Breaks+Replaces against package versions predating oldstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jul 2015 15:37:14 +0200

sendmail (8.14.9-2) unstable; urgency=medium

  * QA upload.
  * Preserve changelog timezone for timestamps to make build reproducible in
    case of changing TZ.
  * Fix another spelling-error-in-manpage discovered by lintian.
  * Do not check for invoke-rc.d existence before calling it.
  * sendmail-bin: Switch from suidregister to dpkg-statoverride.
  * Add lintian overrides for command-with-path-in-maintainer-script, these
    are only checks for command availability.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2015 21:40:21 +0200

sendmail (8.14.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Remove sendmail-8.14.9.diff.
  * manpage-section.patch: Refresh.
  * Switch from tar-in-tar to regular source layout.
  * Switch patch application from cdbs to dpkg source format 3.0 (quilt).
  * d/patches: Convert old-style context diffs to unified diffs.
  * Finally drop the last bits of cdbs usage.
  * Perform more checks in /etc/cron.d/sendmail to skip running commands (and
    failing) if any of the sendmail-base, sendmail-bin packages have been
    removed.  (LP: #645905, #1421329)
  * Import "Sendmail Signing Key/2015 <sendmail@Sendmail.ORG>" from
    ftp://ftp.sendmail.org/pub/sendmail/PGPKEYS into
    debian/upstream/signing-key.pgp.
  * Use the changelog timestamp for @sm_date@ and @sm_time@ substitutions to
    make the build reproducible.
  * fhs.patch: New. Move path adjustments in documentation from sed calls in
    d/rules to a proper patch.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 May 2015 02:20:56 +0200

sendmail (8.14.8-1) experimental; urgency=medium

  * QA upload.
  * Upload to experimental.
  * *** Dear sendmail users, please give us some feedback if this new upstream
    *** version of sendmail is working for you s.t. we can consider uploading
    *** it to unstable.
  * New upstream release.
    - Properly initialize all OpenSSL algorithms.  (Closes: #579563)
    - Accept IPv6 literals when evaluating the HELO/EHLO argument in
      FEATURE(`block_bad_helo').  (Closes: #618570)
  * Remove patches that were cherry-picked from newer releases: {_ffr_tls_ec,
    close_on_exec, conf.c-ipv6, libmilter-assert, ssl_op_no_tlsv1_x}.patch
  * sendmail-8.14.9.diff: New, cherry-pick all code changes from 8.14.9.
  * Refresh some patches due to context changes.
  * libmilter.symbols: Add new symbols FipsMode, IntSig.
  * Update to Standards-Version: 3.9.6.
  * d/copyright: Update sendmail copyright (Sendmail, Inc. acquired by
    Proofpoint, Inc.) and license (editorial changes only).
  * d/rules: Add patch target for non-cdbs mode.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Oct 2014 14:48:33 +0200

=== debian/control ===
Source: sendmail
Priority: extra
Section: mail
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends-Indep:
 groff,
 bsdmainutils,
Build-Depends:
 make (>> 3.79.1-14),
 m4,
 quilt,
 patchutils,
 dh-buildinfo,
 debhelper (>= 9),
 linux-libc-dev (>= 2.6.21-3) [linux-any],
 , libdb-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
Build-Conflicts:
 libbind-dev,
 bind-dev,
 fakeroot (<< 0.4.5),
Homepage: http://www.sendmail.org
Vcs-Git: git://anonscm.debian.org/collab-maint/sendmail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sendmail.git

Package: sendmail-bin
Architecture: any
Replaces: mail-transport-agent
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Pre-Depends:
 debconf,
Depends:
 sendmail-base (= ${source:Version}),
 sendmail-cf (= ${source:Version}),
 procps,
 ,
 ${shlibs:Depends},
 ${perl:Depends},
 ${misc:Depends}
Recommends:
 ,
Suggests:
 sendmail-doc,
 , sasl2-bin, libsasl2-modules, openssl,
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).

Package: rmail
Architecture: any
Conflicts:
 postfix,
 exim,
 exim-tls,
 exim4-daemon-custom,
 exim4-daemon-heavy,
 exim4-daemon-light,
 courier-mta,
 smail,
 zmailer,
 masqmail,
Depends:
 sendmail-bin | mail-transport-agent,
 ${shlibs:Depends},
 ${misc:Depends}
Description: MTA->UUCP remote mail handler
 Rmail handles mail received via uucp and passes it to the local
 sendmail (or workalike).
 .
 This version comes from the sendmail source package and the only
 change is the call to sendmail (from -obq to -obi).

Package: sensible-mda
Architecture: any
Depends:
 sendmail-bin | mail-transport-agent,
 procmail | maildrop | deliver,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Mail Delivery Agent wrapper
 Sensible-mda is a Debian addition in the sendmail package and has been
 split out in hopes that it might be useful for other MTA packages.
 .
 Sensible-mda is called by the MTA, and will in turn call whichever of
 the following MDAs that it finds (in this order):
 procmail, maildrop, deliver, mail.local

Package: libmilter1.0.1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains libmilter.so

Package: libmilter1.0.1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends:
 libmilter1.0.1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Sendmail Mail Filter API (Milter) (debug symbols)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains debugging information for libmilter.so

Package: libmilter-dev
Architecture: any
Section: libdevel
Depends:
 libmilter1.0.1 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 sendmail-doc,
Description: Sendmail Mail Filter API (Milter) (development files)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information (headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This is the libmilter static library and include files for development.
 .
 The documentation on building a Milter is in the sendmail-doc package.

Package: sendmail-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: powerful, efficient, and scalable Mail Transport Agent (documentation)
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 Don't try anything fancy in sendmail without using this for guidance.
 .
 Because of the complexity, you may find yourself wanting to peruse
 the documentation files included herein.  The main files are:
   cf.README.gz    -- A reference for all things in sendmail.{mc,cf}
   op.{ps,txt}.gz  -- The care and feeding of Sendmail.
   faq.txt.gz      -- Sendmail FAQ, current as of the package date.
 .
 Other files include the references for smrsh and libmilter.

Package: sendmail
Architecture: all
Depends:
 sendmail-base,
 sendmail-bin,
 sendmail-cf,
 sensible-mda,
 ${misc:Depends}
Suggests:
 sendmail-doc,
 rmail,
Description: powerful, efficient, and scalable Mail Transport Agent (metapackage)
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
 .
 This package is to make installation/upgrading easier (Do NOT delete it)

Package: sendmail-base
Architecture: all
Depends:
 m4,
 make,
 adduser,
 netbase,
 ${perl:Depends},
 ${misc:Depends}
Suggests:
 sendmail-doc,
 ca-certificates,
 logcheck,
 logrotate,
 resolvconf,
Description: powerful, efficient, and scalable Mail Transport Agent (arch independent files)
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the base, architecture independent, portions
 of the sendmail packages.

Package: sendmail-cf
Architecture: all
Depends:
 m4,
 ${misc:Depends}
Suggests:
 sendmail-doc,
Description: powerful, efficient, and scalable Mail Transport Agent (config macros)
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the .m4 (configuration files) for the
 sendmail packages.

## sendmail 8.15.2

=== libmilter/Makefile ===
#       $Id: Makefile,v 8.2 2006-05-23 21:55:55 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
check: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== libsmutil/Makefile ===
#       $Id: Makefile,v 8.2 1999-09-23 22:36:32 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== mail.local/Makefile ===
#       $Id: Makefile,v 8.5 1999-10-05 16:39:32 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
force-install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== makemap/Makefile ===
#       $Id: Makefile,v 8.7 1999-09-23 22:36:37 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== rmail/Makefile ===
#       $Id: Makefile,v 8.5 1999-10-05 16:39:19 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
force-install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== smrsh/Makefile ===
#       $Id: Makefile,v 8.5 1999-09-23 22:36:43 ca Exp $

SHELL= /bin/sh
BUILD=   ./Build
OPTIONS= $(CONFIG) $(FLAGS)

all: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
clean: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@
install: FRC
	$(SHELL) $(BUILD) $(OPTIONS) $@

fresh: FRC
	$(SHELL) $(BUILD) $(OPTIONS) -c

FRC:

=== cf/cf/Makefile ===
#
#  Makefile for configuration files.
#
#	$Id: Makefile,v 8.60 2005-06-14 02:16:34 gshapiro Exp $
#

#
#  Create configuration files using "m4 ../m4/cf.m4 file.mc > file.cf";
#  this may be easier than tweaking the Makefile.  You do need to
#  have a fairly modern M4 available (GNU m4 works).  On SunOS, use
#  /usr/5bin/m4.
#

# name of source for sendmail.cf (without extension)
CF=	sendmail
# name of source for submit.cf (without extension)
SUBMIT=	submit
# directory for .cf files
MAILDIR=/etc/mail
M4=	m4
CFDIR=	..
SED=  sed
ECHO= echo
CHMOD=	chmod
ROMODE=	444
RM=	rm -f
# use our own install program; should be really confINSTALL
INSTALL=../../devtools/bin/install.sh
# CF file ownership/permissions
CFOWN=root
CFGRP=bin
CFMODE=0444


.SUFFIXES:  .mc .cf

.mc.cf:
	$(RM) $@
	$(M4) ${CFDIR}/m4/cf.m4 $*.mc > $@ || ( $(RM) $@ && exit 1 )
	$(ECHO) "### $*.mc ###" >>$@
	$(SED) -e 's/^/# /' $*.mc >>$@
	$(CHMOD) $(ROMODE) $@

GENERIC=generic-bsd4.4.cf generic-hpux9.cf generic-hpux10.cf \
		generic-linux.cf generic-mpeix.cf generic-nextstep3.3.cf \
		generic-osf1.cf generic-solaris.cf \
		generic-sunos4.1.cf generic-ultrix4.cf
BERKELEY=cs-hpux9.cf cs-hpux10.cf cs-osf1.cf cs-solaris.cf \
	cs-sunos4.1.cf cs-ultrix4.cf \
	s2k-osf1.cf s2k-ultrix4.cf \
	chez.cs.cf huginn.cs.cf mail.cs.cf mail.eecs.cf mailspool.cs.cf \
	python.cs.cf ucbarpa.cf ucbvax.cf vangogh.cs.cf
OTHER=	knecht.cf
ALL=	submit.cf $(GENERIC) $(OTHER)

all: $(ALL)

berkeley: $(BERKELEY)
generic: $(GENERIC)
other: $(OTHER)

clean cleandir:
	$(RM) $(ALL) core

install:
	@echo "Before installing the .cf files please make sure you have read the"
	@echo "instructions in the file ../../INSTALL.  You should have prepared the"
	@echo "files \"submit.mc\" (supplied) and \"sendmail.mc\". Then you can use"
	@echo ""
	@echo "	make install-cf"
	@echo ""
	@echo "If you use a different name than \"sendmail\" for your main .mc file"

	@echo "then you should use"
	@echo ""
	@echo "	make install-cf CF=config"
	@echo ""
	@echo "where \"config\" is the name of your main .mc file."

install-cf:  install-sendmail-cf install-submit-cf

install-sendmail-cf: $(CF).cf
	$(INSTALL) -c -o $(CFOWN) -g $(CFGRP) -m $(CFMODE) $(CF).cf ${DESTDIR}$(MAILDIR)/sendmail.cf

install-submit-cf: $(SUBMIT).cf
	$(INSTALL) -c -o $(CFOWN) -g $(CFGRP) -m $(CFMODE) $(SUBMIT).cf ${DESTDIR}$(MAILDIR)/submit.cf

depend:

# this is overkill, but....
M4FILES=\
	${CFDIR}/domain/Berkeley.EDU.m4 \
	${CFDIR}/domain/CS.Berkeley.EDU.m4 \
	${CFDIR}/domain/EECS.Berkeley.EDU.m4 \
	${CFDIR}/domain/S2K.Berkeley.EDU.m4 \
	${CFDIR}/domain/berkeley-only.m4 \
	${CFDIR}/domain/generic.m4 \
	${CFDIR}/feature/accept_unqualified_senders.m4 \
	${CFDIR}/feature/accept_unresolvable_domains.m4 \
	${CFDIR}/feature/access_db.m4 \
	${CFDIR}/feature/allmasquerade.m4 \
	${CFDIR}/feature/always_add_domain.m4 \
	${CFDIR}/feature/bcc.m4 \
	${CFDIR}/feature/bestmx_is_local.m4 \
	${CFDIR}/feature/bitdomain.m4 \
	${CFDIR}/feature/blacklist_recipients.m4 \
	${CFDIR}/feature/conncontrol.m4 \
	${CFDIR}/feature/dnsbl.m4 \
	${CFDIR}/feature/domaintable.m4 \
	${CFDIR}/feature/generics_entire_domain.m4 \
	${CFDIR}/feature/genericstable.m4 \
	${CFDIR}/feature/ldap_routing.m4 \
	${CFDIR}/feature/limited_masquerade.m4 \
	${CFDIR}/feature/local_lmtp.m4 \
	${CFDIR}/feature/local_procmail.m4 \
	${CFDIR}/feature/loose_relay_check.m4 \
	${CFDIR}/feature/mailertable.m4 \
	${CFDIR}/feature/masquerade_entire_domain.m4 \
	${CFDIR}/feature/masquerade_envelope.m4 \
	${CFDIR}/feature/no_default_msa.m4 \
	${CFDIR}/feature/nocanonify.m4 \
	${CFDIR}/feature/nopercenthack.m4 \
	${CFDIR}/feature/notsticky.m4 \
	${CFDIR}/feature/nouucp.m4 \
	${CFDIR}/feature/nullclient.m4 \
	${CFDIR}/feature/prefixmod.m4 \
	${CFDIR}/feature/promiscuous_relay.m4 \
	${CFDIR}/feature/redirect.m4 \
	${CFDIR}/feature/ratecontrol.m4 \
	${CFDIR}/feature/relay_based_on_MX.m4 \
	${CFDIR}/feature/relay_entire_domain.m4 \
	${CFDIR}/feature/relay_hosts_only.m4 \
	${CFDIR}/feature/relay_local_from.m4 \
	${CFDIR}/feature/relay_mail_from.m4 \
	${CFDIR}/feature/smrsh.m4 \
	${CFDIR}/feature/stickyhost.m4 \
	${CFDIR}/feature/tls_session_features.m4 \
	${CFDIR}/feature/use_ct_file.m4 \
	${CFDIR}/feature/use_cw_file.m4 \
	${CFDIR}/feature/uucpdomain.m4 \
	${CFDIR}/feature/virtuser_entire_domain.m4 \
	${CFDIR}/feature/virtusertable.m4 \
	${CFDIR}/hack/cssubdomain.m4 \
	${CFDIR}/hack/xconnect.m4 \
	${CFDIR}/m4/cf.m4 \
	${CFDIR}/m4/cfhead.m4 \
	${CFDIR}/m4/proto.m4 \
	${CFDIR}/m4/version.m4 \
	${CFDIR}/mailer/cyrus.m4 \
	${CFDIR}/mailer/fax.m4 \
	${CFDIR}/mailer/local.m4 \
	${CFDIR}/mailer/mail11.m4 \
	${CFDIR}/mailer/phquery.m4 \
	${CFDIR}/mailer/pop.m4 \
	${CFDIR}/mailer/procmail.m4 \
	${CFDIR}/mailer/qpage.m4 \
	${CFDIR}/mailer/smtp.m4 \
	${CFDIR}/mailer/usenet.m4 \
	${CFDIR}/mailer/uucp.m4 \
	${CFDIR}/ostype/aix3.m4 \
	${CFDIR}/ostype/aix4.m4 \
	${CFDIR}/ostype/altos.m4 \
	${CFDIR}/ostype/amdahl-uts.m4 \
	${CFDIR}/ostype/a-ux.m4 \
	${CFDIR}/ostype/bsd4.3.m4 \
	${CFDIR}/ostype/bsd4.4.m4 \
	${CFDIR}/ostype/bsdi.m4 \
	${CFDIR}/ostype/bsdi1.0.m4 \
	${CFDIR}/ostype/bsdi2.0.m4 \
	${CFDIR}/ostype/dgux.m4 \
	${CFDIR}/ostype/domainos.m4 \
	${CFDIR}/ostype/dragonfly.m4 \
	${CFDIR}/ostype/dynix3.2.m4 \
	${CFDIR}/ostype/freebsd4.m4 \
	${CFDIR}/ostype/freebsd5.m4 \
	${CFDIR}/ostype/freebsd6.m4 \
	${CFDIR}/ostype/gnu.m4 \
	${CFDIR}/ostype/hpux10.m4 \
	${CFDIR}/ostype/hpux11.m4 \
	${CFDIR}/ostype/hpux9.m4 \
	${CFDIR}/ostype/irix4.m4 \
	${CFDIR}/ostype/irix5.m4 \
	${CFDIR}/ostype/irix6.m4 \
	${CFDIR}/ostype/isc4.1.m4 \
	${CFDIR}/ostype/linux.m4 \
	${CFDIR}/ostype/maxion.m4 \
	${CFDIR}/ostype/mklinux.m4 \
	${CFDIR}/ostype/mpeix.m4 \
	${CFDIR}/ostype/nextstep.m4 \
	${CFDIR}/ostype/openbsd.m4 \
	${CFDIR}/ostype/osf1.m4 \
	${CFDIR}/ostype/powerux.m4 \
	${CFDIR}/ostype/ptx2.m4 \
	${CFDIR}/ostype/qnx.m4 \
	${CFDIR}/ostype/riscos4.5.m4 \
	${CFDIR}/ostype/sco-uw-2.1.m4 \
	${CFDIR}/ostype/sco3.2.m4 \
	${CFDIR}/ostype/sinix.m4 \
	${CFDIR}/ostype/solaris2.m4 \
	${CFDIR}/ostype/solaris2.ml.m4 \
	${CFDIR}/ostype/solaris2.pre5.m4 \
	${CFDIR}/ostype/solaris8.m4 \
	${CFDIR}/ostype/sunos3.5.m4 \
	${CFDIR}/ostype/sunos4.1.m4 \
	${CFDIR}/ostype/svr4.m4 \
	${CFDIR}/ostype/ultrix4.m4 \
	${CFDIR}/ostype/unixware7.m4 \
	${CFDIR}/ostype/unknown.m4 \
	${CFDIR}/ostype/uxpds.m4

$(ALL): $(M4FILES)
$(BERKELEY): $(M4FILES)
$(GENERIC): $(M4FILES)
$(OTHER): $(M4FILES)

=== debian/changelog ===
sendmail (8.15.2-3) unstable; urgency=medium

  * QA upload.
  * format-security.patch: Try a different approach and verify that an
    (untrusted) non-literal string does not contain formatting codes ('%')
    before using it as a format string without arguments.  (Closes: #807258)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Dec 2015 18:02:49 +0100

sendmail (8.15.2-2) unstable; urgency=medium

  * QA upload.
  * Merge changes from 8.14.9-4.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Nov 2015 11:06:45 +0100

sendmail (8.15.2-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * Merge changes from 8.14.9-3.  (Closes: #790968, #792162)
  * Refresh fuzzy patch 'drac'.
  * libmilter.symbols: Add new symbol UseCompressedIPv6Addresses.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Jul 2015 11:56:02 +0200

sendmail (8.15.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * format-security.patch: New, fix FTBFS with -Werror=format-security.
  * libmilter.symbols: Add new symbol MaxQueueAge.
  * Use a deterministic object directory for fully reproducible builds.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jul 2015 01:35:29 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  fakeroot (<< 0.4.5),
 Homepage: http://www.sendmail.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/sendmail.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sendmail.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sendmail.git
 
 Package: sendmail-bin
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE_PACKAGE	?= sendmail
DEB_VERSION		:= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_SRCDIR		?= .
DEB_DESTDIR		?= $(CURDIR)/debian/tmp/

# Make it even harder to exploit sendmail.
# Well, almost impossible now 8-)
# * Compile all with -fPIC (works for pic or pie objects)
# * Link with either -pie or -shared
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-pie" dpkg-buildflags
CFLAGS   := $(shell $(dpkg_buildflags) --get CFLAGS)
CFLAGS   += -fPIC
ifneq (,$(filter -fstack-protector,$(CFLAGS)))
	CFLAGS += -fstack-protector-all
	endif
CXXFLAGS := $(shell $(dpkg_buildflags) --get CXXFLAGS)
CPPFLAGS := $(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS  := $(shell $(dpkg_buildflags) --get LDFLAGS)
LDFLAGS  += -Wl,-z,noexecstack -Wl,--warn-shared-textrel
LDFLAGS  += -fpie
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

version_debian	?= -$(lastword $(subst -, ,${DEB_VERSION}))
SRC_DIR    := $(CURDIR)/debian
PKG_DIR    := debian/${DEB_SOURCE_PACKAGE}-bin
PKG_DOC     = debian/${DEB_SOURCE_PACKAGE}-doc${docdir}/${DEB_SOURCE_PACKAGE}-doc
SM_SUBDIRS := editmap libmilter mail.local mailstats \
		makemap praliases rmail sendmail smrsh vacation
PKG_TMP	 = debian/tmp
# this is a "magic" value since it matches "obj${prefix}.${sfx}" if it exists
# and will be used by the sendmail Build script
SM_OBJDIR	?= obj.

# Now that all that is out of the way, read the desired configuration
# settings
CONF_NAME = debian/configure.options
$(eval CONFIG_OPTS := $(shell grep -v "^\#" ${CONF_NAME}))
CONFIG_OPTS	+= ${SM_CONF_OPT}

# Include Debian Autoconf settings
include $(firstword $(wildcard debian/build/autoconf.mk \
	debian/build/autoconf.mk.in))


#-------------
# Maintainer only rule... refresh debian/configure, debian/*/Makefile.in, and debian/control
AUTOMAKEARGS	?= --force
AUTOMAKEARGS	?= --force --force-missing --add-missing --copy
refresh-debian-configure:
	# unpack
	-debian/rules configure
	# regenerate
	cd debian && aclocal -I ./build
	cd debian && autoconf
	cd debian && automake $(AUTOMAKEARGS)
	# regenerate more, run twice in case debian/control gets updated
	debian/rules configure || debian/rules configure
	# cleanup
	fakeroot debian/rules clean
	$(RM) debian/aclocal.m4


#-------------
# Maintainer only rule... must be run in external debian directory
.PHONY: refresh-faq
refresh-faq::
	@echo 'Refreshing FAQ'
	@chmod u+w faq.txt;
	(wget --passive-ftp --timestamping \
		--cache=off http://www.sendmail.org/faq/faq.txt;);
	@chmod a-w faq.txt;
	@echo 'Refreshing Misc'
	@chmod u+w cf/feature/rhsbl.m4;
	(cd cf/feature && wget --passive-ftp --timestamping \
		--cache=off http://www.megacity.org/software_downloads/rhsbl.m4;);
	@chmod u-w cf/feature/rhsbl.m4;


#------------------------------------------------------------------------------
# Build/Package check rules
#------------------------------------------------------------------------------
#-------------
.PHONY: info
info:
	#--------------------------------------------------------------------
	# The following information will be used for this run:
	#	Source	   = ${DEB_SOURCE_PACKAGE}
	#	Package    = ${DEB_SOURCE_PACKAGE} ${DEB_VERSION}
	#	             ${version_string}${sm_custom_s}${version_debian}
	#	BuildTree  = ${DEB_SRCDIR}
	#	Arch	   = ${DEB_BUILD_ARCH} on ${DEB_HOST_ARCH}
	#	Options
	#	  configure   = ${CONFIG_OPTS}
	#	  config opt  = ${SM_CONF_OPT}
	#	  ENABLE_INDEP= ${ENABLE_INDEP}
	#	  ENABLE_ARCH = ${ENABLE_ARCH}
	#	  ENABLE_DEV  = ${ENABLE_DEV}
	#	  ENABLE_DOC  = ${ENABLE_DOC}
	#	  compile opt = ${CC} ${CFLAGS} ${DEFINES}
	#	DEB_BUILD_OPTIONS = ${DEB_BUILD_OPTIONS}
	#	DH_VERBOSE = ${DH_VERBOSE}
	#	DH_OPTIONS = ${DH_OPTIONS}
	#	DH_COMPAT  = ${DH_COMPAT}
	#--------------------------------------------------------------------


#------------------------------------------------------------------------------
# User callable rules
#------------------------------------------------------------------------------

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(RM) ${DEB_SRCDIR}/doc/op/op.txt
	dh_auto_clean -D debian
	$(RM) -r $(SM_OBJDIR)

configure: override_dh_auto_configure ;

override_dh_auto_configure:
	mkdir -p $(SM_OBJDIR)
	dh_auto_configure -D debian -- $(CONFIG_OPTS)

override_dh_auto_build-indep:
	#--------------------------------------------------------------------
	# build-indep:
	#
	# sendmail operations guide
	GROFF_NO_SGR=1 $(MAKE) -C ${DEB_SRCDIR}/doc/op/ op.txt
	# Debian stuff
	$(MAKE) -C debian -f Makefile build-indep
	#--------------------------------------------------------------------

override_dh_auto_install-indep:
	#--------------------------------------------------------------------
	# install-indep
	#
	# sendmail operations guide and other documentation
	${INSTALL} -d ${PKG_DOC}/op
	$(INSTALL_DATA) ${DEB_SRCDIR}/doc/op/op.ps	${PKG_DOC}/op/
	$(INSTALL_DATA) ${DEB_SRCDIR}/doc/op/op.txt	${PKG_DOC}/op/
	$(INSTALL_DATA) ${DEB_SRCDIR}/README		${PKG_DOC}/
	$(INSTALL_DATA) ${DEB_SRCDIR}/KNOWNBUGS		${PKG_DOC}/
	$(INSTALL_DATA) ${DEB_SRCDIR}/cf/README		${PKG_DOC}/cf.README
	${INSTALL} -d ${PKG_DOC}/sendmail
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/README		${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/SECURITY		${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/TRACEFLAGS	${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/sendmail/TUNING		${PKG_DOC}/sendmail/
	$(INSTALL_DATA) ${DEB_SRCDIR}/smrsh/README	${PKG_DOC}/smrsh.README
	$(INSTALL_DATA) debian/faq.txt			${PKG_DOC}/
	${INSTALL} -d ${PKG_DOC}/libmilter/html
	$(INSTALL_DATA) ${DEB_SRCDIR}/libmilter/README	${PKG_DOC}/libmilter/
	cp -a ${DEB_SRCDIR}/libmilter/docs/*		${PKG_DOC}/libmilter/html/
	# Debian stuff
	$(MAKE) -C debian/cf		-f Makefile install-indep DESTDIR="${SRC_DIR}/sendmail-cf"
	$(MAKE) -C debian/examples	-f Makefile install-indep DESTDIR="${SRC_DIR}/sendmail-base"
	$(MAKE) -C debian/local		-f Makefile install-indep DESTDIR="${SRC_DIR}/sendmail-base"
	#--------------------------------------------------------------------

override_dh_auto_build-arch:
	#--------------------------------------------------------------------
	# build-arch
	#
	# Place our m4 configuration files for the sendmail build to use
	cp -f debian/build/site.config.m4 ${DEB_SRCDIR}/devtools/Site/
	# Finally, build the whole enchilada (we'll let sendmail figure
	# which, if any of the dependant libraries each component needs)
	set -e ; \
	set -x ; \
	for subdir in ${SM_SUBDIRS}; do \
		if [ -d  ${DEB_SRCDIR}/$${subdir} ]; then \
			(cd ${DEB_SRCDIR}/$${subdir} && ./Build -S;); \
			fi; \
		done; 
	# Debian stuff
	$(MAKE) -C debian -f Makefile build-arch
	# Remove our config m4 files
	$(RM) ${DEB_SRCDIR}/devtools/Site/site.config.m4
	#--------------------------------------------------------------------

override_dh_auto_install-arch:
	#--------------------------------------------------------------------
	# install-arch
	#
	# sendmail install proper... with a little help ;-}
	$(MAKE) -C ${DEB_SRCDIR}		install		DESTDIR="$(DEB_DESTDIR)"
	$(MAKE) -C ${DEB_SRCDIR}/libmilter	install		DESTDIR="$(DEB_DESTDIR)"
	$(MAKE) -C ${DEB_SRCDIR}/mail.local	force-install	DESTDIR="$(DEB_DESTDIR)"
	# Debian stuff
	$(MAKE) -C debian/sensible_mda		install-arch	DESTDIR="$(DEB_DESTDIR)"
	# Handle man pages for the sendmail aliases
	mv ${PKG_TMP}${mandir}/man5/aliases.5 \
		${PKG_TMP}${mandir}/man5/aliases.sendmail.5
	mv ${PKG_TMP}${mandir}/man1/mailq.1 \
		${PKG_TMP}${mandir}/man1/mailq.sendmail.1
	mv ${PKG_TMP}${mandir}/man1/newaliases.1 \
		${PKG_TMP}${mandir}/man8/newaliases.sendmail.8
	mv ${PKG_TMP}${mandir}/man8/sendmail.8 \
		${PKG_TMP}${mandir}/man8/sendmail.sendmail.8
	# Special handling of vacation - Debian has a seperate package
	# with a different version (sigh) keep our copy just in case...
	mv ${PKG_TMP}${libexecdir}/vacation \
		${PKG_TMP}${libexecdir}/vacation.sendmail
	mv ${PKG_TMP}${mandir}/man1/vacation.1 \
		${PKG_TMP}${mandir}/man1/vacation.sendmail.1

=== debian/watch ===
version=3

opts="pasv,pgpsigurlmangle=s/$/.sig/" ftp://ftp.sendmail.org/pub/sendmail/sendmail\.(\S*)\.tar\.gz

## sendmail 8.16.1

=== debian/changelog ===
sendmail (8.16.1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/configure.options: Disable NIS and NIS+.  Fix FTBFS with
      glibc >= 2.32 due to missing "rpc/rpc.h".
    - d/control: Update description of sendmail and sendmail-bin to
      reflect the fact that NIS and NIS+ have been disabled.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 May 2022 14:12:05 -0700

sendmail (8.16.1-3) unstable; urgency=medium

  * QA upload.
  * Update update-inetd checks.
  * Update Lintian overrides.
  * Add salsa-ci.yml.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Apr 2022 13:31:52 +0200

sendmail (8.16.1-2) unstable; urgency=low

  * QA upload.
  * Merge changes up to 8.15.2-23.
  * Update to Standards-Version: 4.6.0.
  * Update Lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Oct 2021 14:17:32 +0200

sendmail (8.16.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * Refresh/remove patches.
  * Refresh symbols control files.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jul 2020 11:40:50 +0200

sendmail (8.15.2-23) unstable; urgency=medium

  * QA upload.
  * Update debian/configure.ac to look for libnsl.pc to get the correct
    cflags/libs for libnsl. (Closes: #993075).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Aug 2021 13:45:42 +0200

sendmail (8.15.2-22ubuntu3) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:18:01 +0000

sendmail (8.15.2-22ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:08:54 -0400

sendmail (8.15.2-22ubuntu1) impish; urgency=medium

  * d/configure.options: Disable NIS and NIS+.  Fix FTBFS with
    glibc >= 2.32 due to missing "rpc/rpc.h".
  * d/control: Update description of sendmail and sendmail-bin to
    reflect the fact that NIS and NIS+ have been disabled.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 13 May 2021 17:58:13 -0400

sendmail (8.15.2-22) unstable; urgency=medium

  * QA upload.
  * Stop sendmail before binaries get moved from /usr/lib/sm.bin/ to
    /usr/libexec/sendmail/.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Mar 2021 16:04:16 +0100

sendmail (8.15.2-21) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible, thanks to Vagrant Cascadian.
    (Closes: #983902)
  * Move amavis documentation to /usr/share/doc/sendmail.
  * Bump watch version to 4. No changes needed.
  * Update to Standards-Version: 4.5.1.
  * Fix more typos found by Lintian.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Mar 2021 12:03:42 +0100

sendmail (8.15.2-20) unstable; urgency=medium

  * QA upload.
  * Drop packaging support for obsolete sendmail < 8.15.
  * Drop obsolete Build-Depends: quilt, patchutils.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jul 2020 01:44:51 +0200

sendmail (8.15.2-19) unstable; urgency=medium

  * QA upload.
  * Fix IPv6 reverse lookups with glibc 2.30, thanks to Matthias Ferdinand.
    (Closes: #961538) (LP: #1879738)
  * Do not ship files generated by autoreconf.
  * Run autoreconf on debian/ at build time.
  * Switch to debhelper-compat (= 13).
  * Move /usr/lib/sm.bin/ to /usr/libexec/sendmail/.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 May 2020 01:48:43 +0200

sendmail (8.15.2-18) unstable; urgency=medium

  * QA upload.

  [ Logan Rosen ]
  * d/p/glibc-2.30.patch: Import patch from openSUSE to fix FTBFS with glibc
    2.30.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Mar 2020 00:39:49 +0100

sendmail (8.15.2-17) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Minimize upstream signing key by dropping signatures.
  * Add Build-Depends-Package to symbols file.
  * Switch to debhelper-compat (= 12).
  * Update to Standards-Version: 4.5.0.

  [ Debian Janitor ]
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entries 8.14.4-1, 8.14.2-4, 8.14.1-3,
    8.14.1-0, 8.14.0~Beta4-0.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jan 2020 13:53:42 +0100

sendmail (8.15.2-16) unstable; urgency=medium

  * QA upload.
  * libmilter-dev: Add patch that changes the log level of the log message on
    socket close to DEBUG.  (Closes: #945773)
  * libmilter-dev: Add milter.pc metadata file to enable pkg-config support.
    (Closes: #945797)

 -- David Bürgin <dbuergin@gluet.ch>  Wed, 18 Dec 2019 15:56:39 +0100

sendmail (8.15.2-15) unstable; urgency=medium

  * QA upload.
  * sendmail-bin.postrm: Remove statoverrides during 'remove', to ensure they
    are gone before purging sendmail-base removes the 'smmsp' group.
    (Closes: #939885)
  * Update to Standards-Version: 4.4.1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Oct 2019 00:25:15 +0200

sendmail (8.15.2-14) unstable; urgency=medium

  * QA upload.
  * sendmail-bin.prerm: Stop sendmail before removing the alternatives.
  * sendmail-bin.postinst: Let start-stop-daemon match on pidfile and
    executable.  (Closes: #932598, LP: #1838711)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Aug 2019 14:56:41 +0200

sendmail (8.15.2-13) unstable; urgency=medium

  * QA upload.
  * initscript: Let start-stop-daemon match on pidfile and executable.
    (Closes: #932598, LP: #1822866)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Jul 2019 19:22:43 +0200

sendmail (8.15.2-12) unstable; urgency=medium

  * QA upload.
  * Fix typos in descriptions.  (Closes: #894535)
  * Fix "update-inetd: error: --group is only relevant with --add" by removing
    the --group argument where it's irrelevant.
    (LP: #1792582, #1798964, #1803115)
  * Update to Standards-Version: 4.2.1.
  * Update Lintian overrides.



=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: sendmail
-Priority: extra
+Priority: optional
 Section: mail
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep:
  groff,
  bsdmainutils,
 Build-Depends:
+ debhelper-compat (= 13),
  make (>> 3.79.1-14),
  m4,
- quilt,
- patchutils,
- dh-buildinfo,
- debhelper (>= 9),
  linux-libc-dev (>= 2.6.21-3) [linux-any],
- , libdb-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
+ pkg-config,
+ , libdb-dev, libnsl-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
 Build-Conflicts:
  libbind-dev,
  bind-dev,
  fakeroot (<< 0.4.5),
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.0
 Homepage: http://www.sendmail.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/sendmail.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sendmail.git
+Vcs-Browser: https://salsa.debian.org/debian/sendmail
+Vcs-Git: https://salsa.debian.org/debian/sendmail.git
 
 Package: sendmail-bin
 Architecture: any
@@ -30,10 +30,12 @@
 Conflicts: mail-transport-agent
 Pre-Depends:
  debconf,
+ ${misc:Pre-Depends}
 Depends:
  sendmail-base (= ${source:Version}),
  sendmail-cf (= ${source:Version}),
  procps,
+ lsb-base (>= 3.0-6),
  ,
  ${shlibs:Depends},
  ${perl:Depends},
@@ -48,7 +50,7 @@
  It is suitable for handling sophisticated mail configurations,
  although this means that its configuration can also be complex.
  .
- Fortunately, simple thing can be done easily, and complex things
+ Fortunately, simple things can be done easily, and complex things
  are possible, even if not easily understood ;)  Sendmail is the *ONLY*
  MTA with a Turing complete language to control *ALL* aspects of delivery!
  .
@@ -57,7 +59,7 @@
  Sendmail includes *no* Mail User Agents (MUA), you'll have to
  pick from the plethora of available MUAs (mutt, vm, etc.)
  .
- This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
+ This package supports REGEX, DB, LDAP, DNS maps,
  and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
 
 Package: rmail
@@ -66,6 +68,7 @@
  postfix,
  exim,
  exim-tls,
+ exim4,
  exim4-daemon-custom,
  exim4-daemon-heavy,
  exim4-daemon-light,
@@ -100,11 +103,11 @@
  procmail, maildrop, deliver, mail.local
 
 Package: libmilter1.0.1
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
-Section: libs
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
@@ -117,26 +120,10 @@
  .
  This package contains libmilter.so
 
-Package: libmilter1.0.1-dbg
+Package: libmilter-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: debug
-Depends:
- libmilter1.0.1 (= ${binary:Version}),
- ${shlibs:Depends},
- ${misc:Depends}
-Description: Sendmail Mail Filter API (Milter) (debug symbols)
- The Sendmail Mail Filter API (Milter) is designed to allow third-party
- programs access to mail messages as they are being processed in order
- to filter meta-information(headers) and content.
- .
- The Debian Sendmail package is built to support libmilter.
- .
- This package contains debugging information for libmilter.so
-
-Package: libmilter-dev
-Architecture: any
-Section: libdevel
 Depends:
  libmilter1.0.1 (= ${binary:Version}),
  ${misc:Depends}
@@ -154,8 +141,9 @@
  The documentation on building a Milter is in the sendmail-doc package.
 
 Package: sendmail-doc
-Architecture: all
 Section: doc
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: powerful, efficient, and scalable Mail Transport Agent (documentation)
@@ -190,7 +178,7 @@
  It is suitable for handling sophisticated mail configurations,
  although this means that its configuration can also be complex.
  .
- Fortunately, simple thing can be done easily, and complex things
+ Fortunately, simple things can be done easily, and complex things
  are possible, even if not easily understood ;)  Sendmail is the *ONLY*
  MTA with a Turing complete language to control *ALL* aspects of delivery!
  .
@@ -199,7 +187,7 @@
  Sendmail includes *no* Mail User Agents (MUA), you'll have to
  pick from the plethora of available MUAs (mutt, vm, etc.)
  .
- This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
+ This package supports REGEX, DB, LDAP, DNS maps,
  and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
  .
  This package is to make installation/upgrading easier (Do NOT delete it)
@@ -211,6 +199,7 @@
  make,
  adduser,
  netbase,
+ lockfile-progs,
  ${perl:Depends},
  ${misc:Depends}
 Suggests:

## sendmail 8.17.1

=== debian/changelog ===
sendmail (8.17.1-2) unstable; urgency=medium

  * QA upload.
  * Merge changes from 8.16.1-3.
  * Update to Standards-Version: 4.6.1.
  * Upload to unstable.  (Closes: #1006574, #1009078) (LP: #1956191, #1970472)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 May 2022 16:14:12 +0200

sendmail (8.17.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * Refresh upstream signing keys.
  * Refresh patches.
  * Build with -DHASFLOCK=1. flock() was fixed long ago and is supported on
    NFS since Linux 2.6.12. This switch is required to continue using
    Berkeley DB 5.x which has interoperability problems with fcntl().
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Oct 2021 18:59:41 +0200
